{% assign type = cart_form %}
<form action="/cart" method="post" novalidate class="cart" id="site-cart-form-{{ type }}">

  <div class="cart-items">

    {% for item in cart.items %}

      <div class="cart-item">

        <a href="{{ item.url | within: collections.all }}" class="thumbnail">
          <img src="{{ item | img_url: '200x240', crop: 'center' }}" alt="{{ item.title | escape }}">
        </a>

        <div class="content">

          <a href="{{ item.url }}" class="title">
            {{ item.product.title }}
            {% unless item.variant.title contains 'Default' %}
              <span>({{ item.variant.title }})</span>
            {% endunless %}
          </a>
      
          <div class="price">

            <div class="conditional-qty qty-{{ item.quantity }}">

              <strong>{{ item.final_price | money }}</strong>
              
              {% if item.original_line_price > item.final_line_price %}
                <del>{{ item.original_price | money }}</del>
              {% endif %}

              {% if item.product.compare_at_price > item.product.price and item.discount_allocations.size == 0 %}
                <del>{{ item.product.compare_at_price | money }}</del>
              {% endif %}

            </div>

            {% if item.quantity > 1 %}
              <div>
                <strong>{{ item.final_line_price | money }}</strong>
                <span>({{ item.quantity }} x {{ item.final_price | money }})</span>
              </div>
            {% endif %}

          </div>


           {% if item.line_level_discount_allocations.size > 0 %}
            {% for discount_allocation in item.line_level_discount_allocations %}
              <small class="discount">{{ 'cart.discount' | t }} {{ discount_allocation.discount_application.title }} (-{{ discount_allocation.amount | money }})</small>
            {% endfor %}
          {% endif %}

          {% assign property_size = item.properties | size %}
          {% if property_size > 0 %}
            {% for p in item.properties %}
              {% unless p.last == blank %}
                {{ p.first }}:
                {% if p.last contains '/uploads/' %}
                  <a href="{{ p.last }}">{{ p.last | split: '/' | last }}</a>
                {% else %}
                  {{ p.last }}
                {% endif %}
              {% endunless %}
            {% endfor %}
          {% endif %}

        </div>
          
        {% if type == 'page' %}

          <div class="actions">
            <input class="qty" type="number" name="updates[]" id="updates_{{ item.id }}" value="{{ item.quantity }}" min="0" aria-label="{{ 'product.quantity' | t }}">
            <a href="/cart/change?line={{ forloop.index }}&amp;quantity=0" class="remove" title="{{ 'cart.remove_item' | t }}" aria-label="{{ 'cart.remove_item' | t }}"><span aria-hidden="true">{% include 'asset_svg' with 'close_icon' %}</span></a>
          </div>

        {% else %}

          <a href="/cart/change?line={{ forloop.index }}&amp;quantity=0" class="remove" title="{{ 'cart.remove_item' | t }}" aria-label="{{ 'cart.remove_item' | t }}"><span aria-hidden="true">{% include 'asset_svg' with 'close_icon' %}</span></a>

        {% endif %}

      </div>

    {% endfor %}

  </div>

  {% if settings.cart_notes_enable %}
    <textarea name="note" id="cartSpecialInstructions" placeholder="{{ 'cart.note' | t }}" aria-label="{{ 'cart.note' | t }}">{{ cart.note }}</textarea>
  {% endif %}

  <div class="cart-out">

    <div id="CartDetails">
      
      {% if cart.cart_level_discount_applications != blank %} 
        <div>
          <p id="CartSubTotal">{{ 'cart.subtotal' | t }} <span>{{ cart.items_subtotal_price | money }}</span></p>
          <p id="CartDiscounts">
            {{ 'cart.discounts' | t }}
            {% for discount_application in cart.cart_level_discount_applications %}
              <span>{{ discount_application.title }} ( -{{ discount_application.total_allocated_amount | money }} )</span>
            {% endfor %}
          </p>
        </div>
      {% endif %}

    </div>

    <p id="CartTotal">{{ 'cart.total' | t }} <span>{{ cart.total_price | money }}</span></p>
    <small>{{ 'cart.shipping_at_checkout' | t }}</small>

    <div style="margin-top: 20px;">
      
      {% if type == 'page' %}
        <button name="update" class="button outline less-padding" style="margin-right: 10px; position: relative; top: -2px;" aria-label="{{ 'cart.update_cart' | t }}">{% include 'asset_svg' with 'reload_icon' %}</button>
      {% else %}
        <button class="button accent" style="margin-right: 10px;">{{ 'sidebar.cart.view_cart' | t }}</button>
      {% endif %}

      <input type="submit" name="checkout" value="{{ 'cart.checkout' | t }}">

      {% if type == 'page' and additional_checkout_buttons %}
        <div class="add-buttons">{{ content_for_additional_checkout_buttons }}</div>
      {% endif %}

    </div>

  </div>

</form>